Access of Uninitialized Pointer Affecting krb5 package, versions <1.18.3-6+deb11u4


0.0
medium

Snyk CVSS

    Attack Complexity Low
    Availability High

    Threat Intelligence

    EPSS 0.27% (67th percentile)
Expand this section
NVD
6.5 medium
Expand this section
SUSE
8.8 high
Expand this section
Red Hat
6.5 medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-DEBIAN11-KRB5-5825661
  • published 8 Aug 2023
  • disclosed 7 Aug 2023

How to fix?

Upgrade Debian:11 krb5 to version 1.18.3-6+deb11u4 or higher.

NVD Description

Note: Versions mentioned in the description apply only to the upstream krb5 package and not the krb5 package as distributed by Debian. See How to fix? for Debian:11 relevant fixed versions and status.

lib/kadm5/kadm_rpc_xdr.c in MIT Kerberos 5 (aka krb5) before 1.20.2 and 1.21.x before 1.21.1 frees an uninitialized pointer. A remote authenticated user can trigger a kadmind crash. This occurs because _xdr_kadm5_principal_ent_rec does not validate the relationship between n_key_data and the key_data array count.